Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82645 - SEGV in __res_nquery (/lib/libresolv.so.2)
Summary: SEGV in __res_nquery (/lib/libresolv.so.2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-24 13:16 UTC by Michael Marxmeier
Modified: 2016-11-24 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-10 23:09:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:089 high SHIPPED_LIVE : Updated glibc packages fix vulnerabilities in RPC XDR decoder 2003-04-10 04:00:00 UTC

Description Michael Marxmeier 2003-01-24 13:16:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030119

Description of problem:
With RH 8.0 our application gets a SEGV during reverse 
DNS lookup.

Program received signal SIGSEGV, Segmentation fault.
0x40556c34 in __res_nquery () from /lib/libresolv.so.2

Application stack dump:

#0  0x40556c34 in __res_nquery () from /lib/libresolv.so.2
#1  0x4001d235 in _nss_dns_gethostbyaddr_r () from /lib/libnss_dns.so.2
#2  0x420ed6d9 in gethostbyaddr_r@@GLIBC_2.1.2 () from /lib/i686/libc.so.6
#3  0x420ed4c5 in gethostbyaddr () from /lib/i686/libc.so.6
#4  0x0804c8dd in tcp_decode_addr_in (p_addr_in=0x80f5bb4, p_addr=0x19, 
    p_port=0xd, p_name=0x80f5be8)
    at eloq/src/B0632/eloq/util/tcputil.c:811
#5  0x0804c948 in tcp_peer_addr (sockfd=8, peer_addr=0x80f5bec, 
    peer_port=0x80f5bf2, peer_name=0x80f5be8)
    at /eloq/src/B0632/eloq/util/tcputil.c:839
#6  0x0804f2b2 in accept_server_connection ()
    at /eloq/src/B0632/eqdb/teqdb6/event.c:184
#7  0x0804f818 in check_tcpip_request ()
    at /eloq/src/B0632/eqdb/teqdb6/event.c:596

Might be related to bug #77467


Version-Release number of selected component (if applicable):
glibc-2.2.93-5

How reproducible:
Always

Steps to Reproduce:
Any remote reverse dns lookup crashes the server process. 

Additional info:
This might be related to limited stack space (threads)
but extending the stack to 64k did not make a difference.

Comment 1 Jakub Jelinek 2003-01-26 21:54:40 UTC
Please try rawhide glibc.

Comment 2 Jakub Jelinek 2003-04-10 23:09:20 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-089.html



Note You need to log in before you can comment on or make changes to this bug.